# Copyright (C) 2014 Timothy Pearson
# 
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
# 
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

AR = ar
RANLIB = ranlib
CC = gcc

CFLAGS += -Wall -Os -ggdb -MD
#CFLAGS += -Wextra -Wno-unused-parameter -Werror

help:
	@echo ""
	@echo "Usage:"
	@echo ""
	@echo "  $(MAKE) bbb-gpmc-test"
	@echo "                .... build bbb-gpmc-test"
	@echo ""
	@echo "  $(MAKE) all"
	@echo "                .... build everything"
	@echo ""
	@echo "  $(MAKE) install"
	@echo "                .... install everything in /usr/"
	@echo ""

all: bbb-gpmc-test

install: all
	install -Dt /usr/bin/ bbb-gpmc-test

bbb-gpmc-test: bbb-gpmc-test.o

clean:
	rm -f bbb-gpmc-test.o

-include *.d

